Author Topic: CURL 7.75.0  (Read 2150 times)

Remy

  • Sr. Member
  • ****
  • Thank You
  • -Given: 1
  • -Receive: 15
  • Posts: 428
  • Karma: +0/-0
    • View Profile
CURL 7.75.0
« on: April 24, 2021, 10:46:43 am »
Tried to install curl 7.75.0 using ANPM, It requires to install clamav 0.99 (crashing at db load - very high storage use) and other tools which seems having no relation with curl.
Do you have the same issue ?

roberto

  • Hero Member
  • *****
  • Thank You
  • -Given: 19
  • -Receive: 13
  • Posts: 627
  • Karma: +1/-0
    • View Profile
Re: CURL 7.75.0
« Reply #1 on: April 24, 2021, 12:40:54 pm »
Yes, it has happened to me too. But only on a computer at work, on my laptop it installed without problem. I thought maybe something was wrong with that computer. But if I happen to that and other packages, they could not be updated. It seemed that they were installed and finished without any error, but without updating.
Saludos

Dave Yeo

  • Hero Member
  • *****
  • Thank You
  • -Given: 13
  • -Receive: 229
  • Posts: 3216
  • Karma: +62/-0
    • View Profile
Re: CURL 7.75.0
« Reply #2 on: April 24, 2021, 07:01:05 pm »
Just rebooted to an install that uses netlabs-exp and updated curl to 7.75.0-2 and it worked fine with the only dependencies being what was expected. Was it 7.75.0-1 that you updated to? Perhaps it was broken and you need to flush your cache and get 7.75.0-2. Would explain Roberto"s results too.

roberto

  • Hero Member
  • *****
  • Thank You
  • -Given: 19
  • -Receive: 13
  • Posts: 627
  • Karma: +1/-0
    • View Profile
Re: CURL 7.75.0
« Reply #3 on: April 27, 2021, 11:40:08 am »
In my case all the packages that I want to update are not updated, with anpm. I have also tried yum and these are the results:

[C:\]yum install libpsl
Configurando el proceso de instalación
Resolviendo dependencias
--> Ejecutando prueba de transacción
---> Paquete libpsl.i686 0:0.17.0-1.oc00 debe ser actualizado
---> Paquete libpsl.i686 0:0.21.1-1.oc00 debe ser una actualización
--> Resolución de dependencias finalizada

Dependencias resueltas

================================================================================

 Paquete        Arquitectura Versión                  Repositorio         Tamaño

================================================================================

Actualizando:
 libpsl         i686         0.21.1-1.oc00            netlabs-exp          58 k

Resumen de la transacción
================================================================================

Upgrade       1 Package

Tamaño total: 58 k
Está de acuerdo [s/N]:s
Descargando paquetes:

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x20d61a80: Owner=0x00bd0001 Self=0x00bd0001 fs=0x3 flags=0x0 hev=0x00010199
            Desc="pthread_mutex_t"
pid=0x00bd ppid=0x00bc tid=0x0001 slot=0x0078 pri=0x0200 mc=0x0000 ps=0x0010
C:\USR\BIN\PYTHON2.7.EXE
Creating 00BD_01.TRP

[C:\]e 00bd_01.trp

[C:\]


Tom

  • Jr. Member
  • **
  • Thank You
  • -Given: 1
  • -Receive: 6
  • Posts: 66
  • Karma: +0/-0
    • View Profile
Re: CURL 7.75.0
« Reply #4 on: April 27, 2021, 12:11:18 pm »
In my case all the packages that I want to update are not updated, with anpm. I have also tried yum and these are the results:

(cut)

Upgrade       1 Package

Tamaño total: 58 k
Está de acuerdo [s/N]:s
Descargando paquetes:

LIBC PANIC!!
fmutex deadlock: Recursive mutex!
0x20d61a80: Owner=0x00bd0001 Self=0x00bd0001 fs=0x3 flags=0x0 hev=0x00010199
            Desc="pthread_mutex_t"
pid=0x00bd ppid=0x00bc tid=0x0001 slot=0x0078 pri=0x0200 mc=0x0000 ps=0x0010
C:\USR\BIN\PYTHON2.7.EXE
Creating 00BD_01.TRP

[C:\]e 00bd_01.trp

[C:\]

First type:

Code: [Select]
set LANG=C
and then try again yum install libpsl (although you already seem to have installed libpsl, so it should rather be yum update libpsl).

If setting this environment variable helps, you probably don't have pthread 0.2.4-1 installed but an older version. In that case yum update pthread will fix that libc panic. The reason is your non-US locale setting.

roberto

  • Hero Member
  • *****
  • Thank You
  • -Given: 19
  • -Receive: 13
  • Posts: 627
  • Karma: +1/-0
    • View Profile
Re: CURL 7.75.0
« Reply #5 on: April 28, 2021, 08:29:04 am »
Tom, all ok. Thanks

roberto

  • Hero Member
  • *****
  • Thank You
  • -Given: 19
  • -Receive: 13
  • Posts: 627
  • Karma: +1/-0
    • View Profile
Re: CURL 7.75.0
« Reply #6 on: April 28, 2021, 08:59:39 pm »
It caught my attention because it worked for me in one team and not in another. They both had the language SET LANG = es_ES_EURO in confyg.sys. The difference was that the laptop had in the local configuration, in Cuntry Pallete, a second language en-US, I think that It did not fail for this.

Tom

  • Jr. Member
  • **
  • Thank You
  • -Given: 1
  • -Receive: 6
  • Posts: 66
  • Karma: +0/-0
    • View Profile
Re: CURL 7.75.0
« Reply #7 on: April 28, 2021, 11:55:41 pm »
If you want to read more, look here:

https://github.com/bitwiseworks/pthread-os2/issues/11

That is where my limited knowledge comes from.

It caught my attention because it worked for me in one team and not in another. They both had the language SET LANG = es_ES_EURO in confyg.sys. The difference was that the laptop had in the local configuration, in Cuntry Pallete, a second language en-US, I think that It did not fail for this.

roberto

  • Hero Member
  • *****
  • Thank You
  • -Given: 19
  • -Receive: 13
  • Posts: 627
  • Karma: +1/-0
    • View Profile
Re: CURL 7.75.0
« Reply #8 on: April 29, 2021, 11:52:34 pm »
That is where my limited knowledge comes from.
You have good knowledge.

... en-US, I think that It did not fail for this....
This does not work, I have verified it by returning to a previous version and that is not it.
But another nonsense has occurred to me. I have to try it.

Tom

  • Jr. Member
  • **
  • Thank You
  • -Given: 1
  • -Receive: 6
  • Posts: 66
  • Karma: +0/-0
    • View Profile
Re: CURL 7.75.0
« Reply #9 on: April 30, 2021, 09:18:36 pm »
... en-US, I think that It did not fail for this....
This does not work, I have verified it by returning to a previous version and that is not it.
But another nonsense has occurred to me. I have to try it.

The libc panic that you showed occurs when using pthread 0.2.3-1 in combination with a non-US locale.
It does not  happen when using pthread 0.2.2-1 or the fixed version 0.2.4-1.

Which version are you using? Use yum list pthread to find out.

roberto

  • Hero Member
  • *****
  • Thank You
  • -Given: 19
  • -Receive: 13
  • Posts: 627
  • Karma: +1/-0
    • View Profile
Re: CURL 7.75.0
« Reply #10 on: May 01, 2021, 01:50:27 pm »
The libc panic that you showed occurs when using pthread 0.2.3-1 in combination with a non-US locale.
It does not  happen when using pthread 0.2.2-1 or the fixed version 0.2.4-1.

Which version are you using? Use yum list pthread to find out.
The version that I had installed is the last one version 0.2.4-1.
What catches my attention is how I have been able to install the latest version, if I now install the 0.2.3-1 I can't update anything. I would like to know how I did it, but no matter how hard I try, I can't repeat it.
If I don't repeat it, I do not learn .
Saludos.

Tom

  • Jr. Member
  • **
  • Thank You
  • -Given: 1
  • -Receive: 6
  • Posts: 66
  • Karma: +0/-0
    • View Profile
Re: CURL 7.75.0
« Reply #11 on: May 01, 2021, 03:00:04 pm »
Which version are you using? Use yum list pthread to find out.
The version that I had installed is the last one version 0.2.4-1.
What catches my attention is how I have been able to install the latest version, if I now install the 0.2.3-1 I can't update anything. I would like to know how I did it, but no matter how hard I try, I can't repeat it.
If I don't repeat it, I do not learn .

You can make yum (and also ANPM) work when pthread 0.2.3-1 is installed, by first setting LANG=C on the command line, and next on the same command line use yum update pthread